CounterMonitorMBean (Java Platform SE 8 )
Keywords: javax.management.monitor.CounterMonitorMBean interface
Date: 2018-07-01

compact3
javax.management.monitor

## Interface CounterMonitorMBean

- All Superinterfaces:
    MonitorMBean
  All Known Implementing Classes:
    CounterMonitor

      public interface CounterMonitorMBean
      extends MonitorMBean

  Exposes the remote management interface of the counter monitor MBean.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Number` | `getDerivedGauge()` Deprecated. As of JMX 1.2, replaced by `getDerivedGauge(ObjectName)`
    `Number` | `getDerivedGauge(ObjectName object)` Gets the derived gauge for the specified MBean.
    `long` | `getDerivedGaugeTimeStamp()` Deprecated. As of JMX 1.2, replaced by `getDerivedGaugeTimeStamp(ObjectName)`
    `long` | `getDerivedGaugeTimeStamp(ObjectName object)` Gets the derived gauge timestamp for the specified MBean.
    `boolean` | `getDifferenceMode()` Gets the difference mode flag value.
    `Number` | `getInitThreshold()` Gets the initial threshold value common to all observed objects.
    `Number` | `getModulus()` Gets the modulus value.
    `boolean` | `getNotify()` Gets the notification's on/off switch value.
    `Number` | `getOffset()` Gets the offset value.
    `Number` | `getThreshold()` Deprecated. As of JMX 1.2, replaced by `getThreshold(ObjectName)`
    `Number` | `getThreshold(ObjectName object)` Gets the threshold value for the specified MBean.
    `void` | `setDifferenceMode(boolean value)` Sets the difference mode flag value.
    `void` | `setInitThreshold(Number value)` Sets the initial threshold value common to all observed MBeans.
    `void` | `setModulus(Number value)` Sets the modulus value.
    `void` | `setNotify(boolean value)` Sets the notification's on/off switch value.
    `void` | `setOffset(Number value)` Sets the offset value.
    `void` | `setThreshold(Number value)` Deprecated. As of JMX 1.2, replaced by `setInitThreshold(java.lang.Number)`

    - ### Methods inherited from interface javax.management.monitor.MonitorMBean

      `addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

- - ### Method Detail

    - #### getDerivedGauge

          @Deprecated
          Number getDerivedGauge()

      Deprecated. As of JMX 1.2, replaced by `getDerivedGauge(ObjectName)`
      Gets the derived gauge.
      Returns:
        The derived gauge.

    - #### getDerivedGaugeTimeStamp

          @Deprecated
          long getDerivedGaugeTimeStamp()

      Deprecated. As of JMX 1.2, replaced by `getDerivedGaugeTimeStamp(ObjectName)`
      Gets the derived gauge timestamp.
      Returns:
        The derived gauge timestamp.

    - #### getThreshold

          @Deprecated
          Number getThreshold()

      Deprecated. As of JMX 1.2, replaced by `getThreshold(ObjectName)`
      Gets the threshold value.
      Returns:
        The threshold value.
      See Also:
        `setThreshold(Number)`

    - #### setThreshold

          @Deprecated
          void setThreshold(Number value)
                                 throws IllegalArgumentException

      Deprecated. As of JMX 1.2, replaced by `setInitThreshold(java.lang.Number)`
      Sets the threshold value.
      Parameters:
        `value` - The threshold value.
      Throws:
        `IllegalArgumentException` - The specified threshold is null or the threshold value is less than zero.
      See Also:
        `getThreshold()`

    - #### getDerivedGauge

          Number getDerivedGauge(ObjectName object)

      Gets the derived gauge for the specified MBean.
      Parameters:
        `object` - the MBean for which the derived gauge is to be returned
      Returns:
        The derived gauge for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.

    - #### getDerivedGaugeTimeStamp

          long getDerivedGaugeTimeStamp(ObjectName object)

      Gets the derived gauge timestamp for the specified MBean.
      Parameters:
        `object` - the MBean for which the derived gauge timestamp is to be returned
      Returns:
        The derived gauge timestamp for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.

    - #### getThreshold

          Number getThreshold(ObjectName object)

      Gets the threshold value for the specified MBean.
      Parameters:
        `object` - the MBean for which the threshold value is to be returned
      Returns:
        The threshold value for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.
      See Also:
        `setThreshold(java.lang.Number)`

    - #### getInitThreshold

          Number getInitThreshold()

      Gets the initial threshold value common to all observed objects.
      Returns:
        The initial threshold value.
      See Also:
        `setInitThreshold(java.lang.Number)`

    - #### setInitThreshold

          void setInitThreshold(Number value)
                         throws IllegalArgumentException

      Sets the initial threshold value common to all observed MBeans.
      Parameters:
        `value` - The initial threshold value.
      Throws:
        `IllegalArgumentException` - The specified threshold is null or the threshold value is less than zero.
      See Also:
        `getInitThreshold()`

    - #### getOffset

          Number getOffset()

      Gets the offset value.
      Returns:
        The offset value.
      See Also:
        `setOffset(Number)`

    - #### setOffset

          void setOffset(Number value)
                  throws IllegalArgumentException

      Sets the offset value.
      Parameters:
        `value` - The offset value.
      Throws:
        `IllegalArgumentException` - The specified offset is null or the offset value is less than zero.
      See Also:
        `getOffset()`

    - #### getModulus

          Number getModulus()

      Gets the modulus value.
      Returns:
        The modulus value.
      See Also:
        `setModulus(java.lang.Number)`

    - #### setModulus

          void setModulus(Number value)
                   throws IllegalArgumentException

      Sets the modulus value.
      Parameters:
        `value` - The modulus value.
      Throws:
        `IllegalArgumentException` - The specified modulus is null or the modulus value is less than zero.
      See Also:
        `getModulus()`

    - #### getNotify

          boolean getNotify()

      Gets the notification's on/off switch value.
      Returns:
        `true` if the counter monitor notifies when exceeding the threshold, `false` otherwise.
      See Also:
        `setNotify(boolean)`

    - #### setNotify

          void setNotify(boolean value)

      Sets the notification's on/off switch value.
      Parameters:
        `value` - The notification's on/off switch value.
      See Also:
        `getNotify()`

    - #### getDifferenceMode

          boolean getDifferenceMode()

      Gets the difference mode flag value.
      Returns:
        `true` if the difference mode is used, `false` otherwise.
      See Also:
        `setDifferenceMode(boolean)`

    - #### setDifferenceMode

          void setDifferenceMode(boolean value)

      Sets the difference mode flag value.
      Parameters:
        `value` - The difference mode flag value.
      See Also:
        `getDifferenceMode()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.